Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 469208 - x11-libs/xvba-video-0.8.0-r1 - configure.ac:29: error: 'AM_CONFIG_HEADER': this macro is obsolete.
Summary: x11-libs/xvba-video-0.8.0-r1 - configure.ac:29: error: 'AM_CONFIG_HEADER': th...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: automake-1.13 500368
  Show dependency tree
 
Reported: 2013-05-09 17:46 UTC by Robert
Modified: 2014-02-10 21:36 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (xvba-info.txt,6.19 KB, text/plain)
2013-05-09 17:47 UTC, Robert
Details
emerge --pretend (xvba-pretend.txt,175 bytes, text/plain)
2013-05-09 17:49 UTC, Robert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert 2013-05-09 17:46:14 UTC
I am trying to install the propietary drivers to get opencl working but I can't get xvba-video to compile. I tried some old fixes to unrelated problems like changing the opengl to ati instead of xorg-x11 and using python2.7 instead of 3 but I can't seem to get anything to work. Everything else compiles and works fine.

Thanks
Comment 1 Robert 2013-05-09 17:47:16 UTC
Created attachment 347868 [details]
emerge --info
Comment 2 Robert 2013-05-09 17:49:07 UTC
Created attachment 347870 [details]
emerge --pretend
Comment 3 Robert 2013-05-09 17:53:37 UTC
/* Sorry for this but for some reason i could upload the other text files but not this one no matter what i changed. it wasn't over 1000kb but its short, so here it is. */ 


[32;01m *  [39;49;00mPackage:    x11-libs/xvba-video-0.8.0-r1
 [32;01m *  [39;49;00mRepository: gentoo
 [32;01m *  [39;49;00mMaintainer: x11@gentoo.org
 [32;01m *  [39;49;00mUSE:        amd64 elibc_glibc kernel_linux opengl userland_GNU
 [32;01m *  [39;49;00mFEATURES:   preserve-libs sandbox
>>> Unpacking source...
>>> Unpacking xvba-driver-0.8.0.tar.bz2 to /var/tmp/portage/x11-libs/xvba-video-0.8.0-r1/work
>>> Source unpacked in /var/tmp/portage/x11-libs/xvba-video-0.8.0-r1/work
>>> Preparing source in /var/tmp/portage/x11-libs/xvba-video-0.8.0-r1/work/xvba-driver-0.8.0 ...
  [32;01m* [0m Applying xvba-video-fix-mesa-gl.h.patch ...
 [A [125C  [34;01m[  [32;01mok [34;01m ] [0m
  [32;01m* [0m Running eautoreconf in '/var/tmp/portage/x11-libs/xvba-video-0.8.0-r1/work/xvba-driver-0.8.0' ...
  [32;01m* [0m Running libtoolize --install --copy --force --automake ...
 [A [125C  [34;01m[  [32;01mok [34;01m ] [0m
  [32;01m* [0m Running aclocal ...
 [A [125C  [34;01m[  [31;01m!! [34;01m ] [0m

  [31;01m* [0m Failed Running aclocal !
  [31;01m* [0m 
  [31;01m* [0m Include in your bugreport the contents of:
  [31;01m* [0m 
  [31;01m* [0m   /var/tmp/portage/x11-libs/xvba-video-0.8.0-r1/temp/aclocal.out

  [31;01m* [0m ERROR: x11-libs/xvba-video-0.8.0-r1 failed (prepare phase):
  [31;01m* [0m   Failed Running aclocal !
  [31;01m* [0m 
  [31;01m* [0m Call stack:
  [31;01m* [0m     ebuild.sh, line   93:  Called src_prepare
  [31;01m* [0m   environment, line 3443:  Called eautoreconf
  [31;01m* [0m   environment, line  996:  Called eaclocal
  [31;01m* [0m   environment, line  899:  Called autotools_run_tool '--at-m4flags' 'aclocal'
  [31;01m* [0m   environment, line  769:  Called die
  [31;01m* [0m The specific snippet of code:
  [31;01m* [0m           die "Failed Running $1 !";
  [31;01m* [0m 
  [31;01m* [0m If you need support, post the output of `emerge --info '=x11-libs/xvba-video-0.8.0-r1'`,
  [31;01m* [0m the complete build log and the output of `emerge -pqv '=x11-libs/xvba-video-0.8.0-r1'`.
/usr/lib64/portage/bin/isolated-functions.sh: line 215: wait: `Failed Running aclocal !': not a pid or valid job spec
  [31;01m* [0m The complete build log is located at '/var/tmp/portage/x11-libs/xvba-video-0.8.0-r1/temp/build.log'.
  [31;01m* [0m The ebuild environment file is located at '/var/tmp/portage/x11-libs/xvba-video-0.8.0-r1/temp/environment'.
  [31;01m* [0m Working directory: '/var/tmp/portage/x11-libs/xvba-video-0.8.0-r1/work/xvba-driver-0.8.0'
  [31;01m* [0m S: '/var/tmp/portage/x11-libs/xvba-video-0.8.0-r1/work/xvba-driver-0.8.0'
Comment 4 Jeroen Roovers gentoo-dev 2013-05-10 14:11:40 UTC
 * Include in your bugreport the contents of:
 *  
 *    /var/tmp/portage/x11-libs/xvba-video-0.8.0-r1/temp/aclocal.out

Please do.
Comment 5 Jeroen Roovers gentoo-dev 2013-05-10 14:13:07 UTC
Never mind.
Comment 6 Chí-Thanh Christopher Nguyễn gentoo-dev 2014-02-10 21:36:59 UTC
Fixed in 0.8.0-r2